org.eclipse.wst.jsdt.chromium.debug.ui.liveedit

## Interface LiveEditResultDialog.SingleInputVisitor<RES>

All Known Subinterfaces:
  LiveEditResultDialog.InputVisitor<RES>

Enclosing class:
  LiveEditResultDialog

    public static interface LiveEditResultDialog.SingleInputVisitor<RES>

### Method Summary

All Methods Instance Methods Abstract Methods
`RES` `visitErrorMessage(java.lang.String message, UpdatableScript.Failure failure)`
`RES` `visitSuccess(LiveEditResultDialog.SuccessResult successResult)`

### Method Detail

#### visitSuccess

    RES visitSuccess(LiveEditResultDialog.SuccessResult successResult)

#### visitErrorMessage

    RES visitErrorMessage(java.lang.String message,
                          UpdatableScript.Failure failure)